Package: org.grails.gradle.plugin.web.gsp

## [Groovy] Class GroovyPagePlugin

- org.grails.gradle.plugin.web.gsp.GroovyPagePlugin

- All Implemented Interfaces and Traits:
    org.gradle.api.Plugin

      @groovy.transform.CompileStatic
      class GroovyPagePlugin

  A plugin that adds support for compiling Groovy Server Pages (GSP)

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `apply(org.gradle.api.Project project)`
    `` | `protected org.gradle.api.file.FileCollection` | `resolveClassesDirs(org.gradle.api.tasks.SourceSetOutput output, org.gradle.api.Project project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @groovy.transform.CompileDynamic @java.lang.Override void apply(org.gradle.api.Project project)

    - #### protected org.gradle.api.file.FileCollection resolveClassesDirs(org.gradle.api.tasks.SourceSetOutput output, org.gradle.api.Project project)